$(".copy-button").click((e) => {
    const target = $(e.currentTarget);
    const input = $("#" + target.data("target"));
    const icon = target.children("svg")[0];

    if (!Iconify.iconExists("mdi:content-copy")) {
        Iconify.loadIcon("mdi:content-copy");
    }
    const copy = Iconify.renderSVG("mdi:content-copy");
    copy.classList.add("material-icons");

    if (!Iconify.iconExists("mdi:check")) {
        Iconify.loadIcon("mdi:check");
    }
    const check = Iconify.renderSVG("mdi:check");
    check.classList.add("material-icons");

    console.log(copy);

    if (navigator.clipboard) {
        console.log("Copying to clipboard");
        navigator.clipboard.writeText(input.val()).then(r => {
            icon.replaceWith(check);
            // target.children("svg")[0].classList.add("material-icons");
            setTimeout(() => {
                target.children("svg")[0].replaceWith(copy);
                // target.children("svg")[0].classList.add("material-icons");
            }, 1000);
        });
    } else {
        console.log("Clipboard API not supported");
        input.select();
        document.execCommand("copy");
        input.blur();
        icon.replaceWith(check);
        // target.children("svg")[0].classList.add("material-icons");
        setTimeout(() => {
            icon.innerHTML = copy.body;
        }, 1000);
    }
});
